TEMPLATE = app
TARGET = Lephisto
DEPENDPATH += . \
              .. \
              ../src \
              ../lib/lua \
              ../utils/mkspr \
              ../utils/pack \

#              ../win32/ext/include/AL \
#              ../win32/ext/include/SDL

INCLUDEPATH += . \
  ../lib/lua \
  ../src \
  /usr/include/libxml2 \
  #../win32/ext/include/SDL \
  /usr/include/freetype2

MY_DEFINES = $$VERSION = -DVMAJOR=$(VMAJOR) -DVMINOR=$(VMINOR) -DVREV=$(VREV)

# Input
HEADERS += ../src/ai.h \
           ../src/base64.h \
           ../src/board.h \
           ../src/collision.h \
           ../src/colour.h \
           ../src/conf.h \
           ../src/economy.h \
           ../src/faction.h \
           ../src/font.h \
           ../src/hook.h \
           ../src/input.h \
           ../src/joystick.h \
           ../src/land.h \
           ../src/lephisto.h \
           ../src/lfile.h \
           ../src/llua.h \
           ../src/llua_space.h \
           ../src/lluadef.h \
           ../src/log.h \
           ../src/ltime.h \
           ../src/map.h \
           ../src/md5.h \
           ../src/menu.h \
           ../src/misn_lua.h \
           ../src/mission.h \
           ../src/music.h \
           ../src/nebulae.h \
           ../src/opengl.h \
           ../src/outfit.h \
           ../src/pack.h \
           ../src/pause.h \
           ../src/perlin.h \
           ../src/physics.h \
           ../src/pilot.h \
           ../src/plasmaf.h \
           ../src/player.h \
           ../src/rng.h \
           ../src/save.h \
           ../src/ship.h \
           ../src/sound.h \
           ../src/space.h \
           ../src/spfx.h \
           ../src/toolkit.h \
           ../src/weapon.h \
           ../src/xml.h \
           ../lib/lua/lapi.h \
           ../lib/lua/lauxlib.h \
           ../lib/lua/lcode.h \
           ../lib/lua/ldebug.h \
           ../lib/lua/ldo.h \
           ../lib/lua/lfunc.h \
           ../lib/lua/lgc.h \
           ../lib/lua/llex.h \
           ../lib/lua/llimits.h \
           ../lib/lua/lmem.h \
           ../lib/lua/lobject.h \
           ../lib/lua/lopcodes.h \
           ../lib/lua/lparser.h \
           ../lib/lua/lstate.h \
           ../lib/lua/lstring.h \
           ../lib/lua/ltable.h \
           ../lib/lua/ltm.h \
           ../lib/lua/lua.h \
           ../lib/lua/luaconf.h \
           ../lib/lua/lualib.h \
           ../lib/lua/lundump.h \
           ../lib/lua/lvm.h \
           ../lib/lua/lzio.h \
           ../utils/pack/md5.h \

SOURCES += ../src/ai.c \
           ../src/base64.c \
           ../src/board.c \
           ../src/collision.c \
           ../src/colour.c \
           ../src/conf.c \
           ../src/economy.c \
           ../src/faction.c \
           ../src/font.c \
           ../src/hook.c \
           ../src/input.c \
           ../src/joystick.c \
           ../src/land.c \
           ../src/lephisto.c \
           ../src/lfile.c \
           ../src/llua.c \
           ../src/llua_space.c \
           ../src/ltime.c \
           ../src/map.c \
           ../src/md5.c \
           ../src/menu.c \
           ../src/misn_lua.c \
           ../src/mission.c \
           ../src/music.c \
           ../src/nebulae.c \
           ../src/opengl.c \
           ../src/outfit.c \
           ../src/pack.c \
           ../src/pause.c \
           ../src/perlin.c \
           ../src/physics.c \
           ../src/pilot.c \
           ../src/plasmaf.c \
           ../src/player.c \
           ../src/rng.c \
           ../src/save.c \
           ../src/ship.c \
           ../src/sound.c \
           ../src/space.c \
           ../src/spfx.c \
           ../src/toolkit.c \
           ../src/weapon.c \
           ../lib/lua/lapi.c \
           ../lib/lua/lauxlib.c \
           ../lib/lua/lbaselib.c \
           ../lib/lua/lcode.c \
           ../lib/lua/ldblib.c \
           ../lib/lua/ldebug.c \
           ../lib/lua/ldo.c \
           ../lib/lua/ldump.c \
           ../lib/lua/lfunc.c \
           ../lib/lua/lgc.c \
           ../lib/lua/linit.c \
           ../lib/lua/liolib.c \
           ../lib/lua/llex.c \
           ../lib/lua/lmathlib.c \
           ../lib/lua/lmem.c \
           ../lib/lua/loadlib.c \
           ../lib/lua/lobject.c \
           ../lib/lua/lopcodes.c \
           ../lib/lua/loslib.c \
           ../lib/lua/lparser.c \
           ../lib/lua/lstate.c \
           ../lib/lua/lstring.c \
           ../lib/lua/lstrlib.c \
           ../lib/lua/ltable.c \
           ../lib/lua/ltablib.c \
           ../lib/lua/ltm.c \
           ../lib/lua/lua.c \
           ../lib/lua/luac.c \
           ../lib/lua/lundump.c \
           ../lib/lua/lvm.c \
           ../lib/lua/lzio.c \
           ../utils/mkspr/main.c \
           ../utils/pack/main.c \
           ../utils/pack/md5.c

linux {
  LIBS += \
    -lSDL \
    -lSDL_config \
    -lSDL_mixer \
    -lSDL_image \
    -lGL \
    -L/usr/local/lib -lxml2 \
    -L/usr/local/lib -freetype \
    -lpng
}
